Packages - Packaging Request #2902

[pcsx2] unfree dependency needed no more
2020-09-30 08:07 AM - dario

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

Unfree nvidia-cg-toolkit is not a needed dependency in latest version: https://bugs.archlinux.org/task/68049. Also the software is now
x86-64. You should just remove the software from libre-multilib and let Parabola inherit the package from Arch in Community.

History

#1 - 2020-09-30 11:21 PM - bill-auger

- Priority changed from bug to freedom issue

IMHO, this program probably has no known use-case, which does not entail acquiring non-free software - even in the home-brew scene, you rarely
see source code being offered - if the sole purpose of some program, is only to install or run non-free software, then i believe it is unfit for the FSDG

do you know of any example of a game, which can be run on this emulator, which is free software? - it would be awesome if some parabola users
would form a 'parabola-gaming' team to oversee this concern

#2 - 2020-10-01 07:39 AM - dario

There are GNU/Linux distributions for the PlayStation 2 and some of these games are provided with a freely licensed source code:
https://www.psx-place.com/forums/games-ports.214/.

#3 - 2020-10-02 10:23 AM - bill-auger
- Assignee set to bill-auger

- Status changed from open to fixed
